%button
	+auto-color-for($link-color)
	+transition(background-color, color)
	background: $link-color
	border: 0
	border-radius: $br
	cursor: pointer
	display: inline-block
	font-size: $font-size
	height: ($line-height * 2)
	line-height: $line-height
	min-width: ($line-height * 2)
	padding: ($line-height / 2)
	text-align: center
	text-decoration: none
	text-shadow: 0 -1px 0 rgba(#000, .2)
	vertical-align: top
	white-space: nowrap

	+hover
		+auto-color-for($link-hover-color)
		background: $link-hover-color

	&:active
		box-shadow: none

	&:disabled
		cursor: not-allowed
		opacity: .5
